cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/folders/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/folders/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/folders/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"editable": true,
"editableDocuments": true,
"fileId": "<string>",
"folderAodocsId": "<string>",
"folderDefinitionId": "<string>",
"folderIsRoot": true,
"kind": "<string>",
"libraryId": "<string>",
"libraryName": "<string>",
"name": "<string>",
"parentFolderAodocsId": "<string>",
"parentFolderDriveId": "<string>",
"parentFolderIsRoot": true,
"permittedOperations": [],
"resourceKey": "<string>",
"restrictedDownload": true,
"subfolders": "<array>"
}
],
"kind": "<string>"
}folder
Get folderv1libraries folderschildren
deprecated
(DO NOT USE - use list) List folders under folder with id folderAodocsId, possible loading only direct children
GET
/
folder
/
v1
/
libraries
/
{libraryId}
/
folders
/
children
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
Query Parameters
If absent, lists folders under the library root
The security code
The G Suite domain
⌘I